Index: trunk/grails-app/views/assetDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/asset/show.gsp	(revision 122)
+++ trunk/grails-app/views/assetDetailed/show.gsp	(revision 124)
@@ -31,7 +31,35 @@
                     
                         <tr class="prop">
+                            <td valign="top" class="name">Name:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:assetInstance, field:'name')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
                             <td valign="top" class="name">Asset Type:</td>
                             
-                            <td valign="top" class="value"><g:link controller="assetType" action="show" id="${assetInstance?.assetType?.id}">${assetInstance?.assetType?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">
+                                ${assetInstance?.assetType?.encodeAsHTML()}
+                                <ul>
+                                <g:each var="a" in="${assetInstance.assetType.assemblies}">
+                                    <li>
+                                        ${a?.encodeAsHTML()}
+                                        <ul>
+                                        <g:each var="s" in="${a.subAssemblies}">
+                                            <li>${s?.encodeAsHTML()}</li>
+                                        </g:each>
+                                        </ul>
+                                    </li>
+                                </g:each>
+                                </ul>
+                            </td>
+                            
+                        </tr>
+
+                        <tr class="prop">
+                            <td valign="top" class="name">System Section:</td>
+                            
+                            <td valign="top" class="value"><g:link controller="systemSectionDetailed" action="show" id="${assetInstance?.systemSection?.id}">${assetInstance?.systemSection?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -41,4 +69,17 @@
                             
                             <td valign="top" class="value">${fieldValue(bean:assetInstance, field:'description')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Asset Extended Attributes:</td>
+                            
+                            <td  valign="top" style="text-align:left;" class="value">
+                                <ul>
+                                <g:each var="a" in="${assetInstance.assetExtendedAttributes}">
+                                    <li><g:link controller="assetExtendedAttributeDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+                                </g:each>
+                                </ul>
+                            </td>
                             
                         </tr>
@@ -57,22 +98,8 @@
                                 <ul>
                                 <g:each var="m" in="${assetInstance.maintenanceActions}">
-                                    <li><g:link controller="maintenanceAction" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
+                                    <li><g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>
                             </td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:assetInstance, field:'name')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">System Section:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="systemSection" action="show" id="${assetInstance?.systemSection?.id}">${assetInstance?.systemSection?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
